Subject: Re: [PATCH] rtc-pcf8563: Add device ids table

From: Jean Delvare <[email-masked]>
Date: Wed, 23 Apr 2008 14:47:56 +0200

On Wed, 23 Apr 2008 14:12:37 +0200, Laurent Pinchart wrote:
> On Wednesday 23 April 2008 13:16, Jean Delvare wrote:
> > I still don't know exactly what happened there... I think I saw some
> > "OpenFirmware i2c" patches go upstream yesterday? But not the ones
> > listed below, which I thought they depended upon.
> 
> The code that went upstream introduces helper functions to create i2c devices 
> from information supplied by the OF device tree. It doesn't strictly depend 
> on the below patches, but the new devices won't be properly bound to a driver 
> without them.

OK. So... Out of the 7 patches Jochen sent originally, only 1 ([3/7] OF
helpers for the i2c API) went upstream. Am I correct?

Jochen, I'm a bit confused by the dependencies that exist - or not -
between these 7 patches you sent at once. I thought they had to be
applied in sequence but it seems not? And some of them should
apparently go through me i2c tree but others (e.g. [7/7]) not?

I would appreciate if you could summarize quickly which patches depend
on others in which way. If we can make smaller subsets of patches, that
will be easier for me to review and push upstream on my limited time.

Thanks,
-- 
Jean Delvare